<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">
    <title>Approved</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar::sidebar" th:remove="tag"> sidebar </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Request Approved
                </div>
            </div>
        </div>
        <div class="alert alert-success" role="alert" th:if="${success != null}">
            Save date successfull....
        </div>
        <div class="alert alert-danger" role="alert" th:if="${gagalkaryawan != null}">
            Save data failed....
            <p>kolom request For belum diisi..</p>
        </div>

        <div class="alert alert-danger" role="alert" th:if="${gagalpagu != null}">
            Save data failed....
            <p>Data Gagal Disimpan. Jumlah budget anda masih melebihi pagu yang di tetapkan, mohon perbaiki anggaran departemen anda agar tidak melebihi pagu,
            </p>
            <p>Untuk informasi lebih lanjut dapat menghubungi Bagian Keuangan atau Wakil Rektor 2.</p>
        </div>

        <div class="alert alert-danger" role="alert" th:if="${gagalAnggaran != null}">
            Save data failed....
            <p>Data Gagal Disimpan. Jumlah pengajuan yang anda masukan melebihi sisa Anggara pada departemen anda</p>
        </div>

        <div class="alert alert-danger" role="alert" th:if="${gagalpagubudget != null}">
            Save data failed....
            <p>Data Gagal Disimpan. Jumlah pengeluan anda sudah melebihi batas pagu yang ditetapkan,
            </p>
            <p>Untuk informasi lebih lanjut dapat menghubungi Bagian Keuangan atau Wakil Rektor 2.</p>
        </div>

        <div class="alert alert-danger" role="alert" th:if="${gagal != null}">
            Save data failed....
            <p>Data Gagal Disimpan. Jumlah pengajuan yang anda masukan melebihi sisa detail anggaran yang anda pilih</p>
        </div>

        <div class="shadow-none p-3 mb-3 bg-body bg-opacity-50 border rounded">
            <form method="get">
                <div class="row">
                    <p><a class="link-primary" th:href="@{/transaksi/pengajuandana/baru}" role="button">Klik disini</a> jika anda ingin membuat pengajuan dana baru. </p>
                    <div class="col-md-6">
                        Show entries <span sd:page-size-selector="javascript"></span>
                    </div>

                    <div class="col-md-6" align="right">
                        <input class="form-control me-2" type="text" placeholder="Search" name="search" th:value="${search}" aria-label="Search">
                        <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
                    </div>
                </div>
            </form>
            <br>
            <form th:action="@{/transaksi/pencairandana/proses}" method="get">
                <div class="row" th:each="dataPengajuanDanaWaiting, stat: *{listPengajuanDanaApproved}" >
                    <div class="col-md-12">
                        <div class="shadow-sm p-3 mb-3 bg-body bg-opacity-50 small border rounded">
                            <div class="row">
                                <div class="col-md-10">
                                    <span class="text-start"><i class="fa-regular fa-bell fa-1x shadow-sm me-2" style="color: #198754;"></i> <b>Request :</b> <span th:text="${' '+#temporals.format(dataPengajuanDanaWaiting.tanggalPengajuan,'dd-MMM-yyyy HH:mm:ss')}"> 10/10/1000</span> <b th:text="${' '+ dataPengajuanDanaWaiting.getAnggaran().getKodeAnggaran() + ' - ' + dataPengajuanDanaWaiting.getAnggaran().getNamaAnggaran()}">Anggaran.</b></span>
                                </div>
                                <div class="col-md-2">
                                    <div class="bg-success bg-opacity-10 border border-success border-start-0 border-end-0" align="center">
                                        <span style="color: green">Approved</span>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12">
                                    <span class="text-start"><i class="fa-solid fa-calendar-check fa-1x shadow-sm me-2" style="color: #6f42c1"></i> <b th:text="${'For  '+ dataPengajuanDanaWaiting.getRequestFor().getNamaKaryawan()}"></b> </span>
                                </div>
                            </div>
                            <br>
                            <div class="row">
                                <div class="col-md-2" align="center">
                                    <!--                        <img th:src="@{/images/income.jpg}" class="card-img-top rounded">-->
                                    <!--                            <i class="fa-solid fa-download fa-4x rounded" style="color: #0a53be" align="center"></i>-->

                                    <a th:if="${dataPengajuanDanaWaiting.file} == 'default.jpg'">
                                        <i class="fa-solid fa-download fa-3x rounded" style="color: #7c080c" align="center"></i>
                                    </a>
                                    <a  th:if="${dataPengajuanDanaWaiting.file} != 'default.jpg' and ${dataPengajuanDanaWaiting.file.substring(dataPengajuanDanaWaiting.file.length() - 3,dataPengajuanDanaWaiting.file.length())} != 'jpg' and ${dataPengajuanDanaWaiting.file.substring(dataPengajuanDanaWaiting.file.length() - 3,dataPengajuanDanaWaiting.file.length())} != 'peg' and ${dataPengajuanDanaWaiting.file.substring(dataPengajuanDanaWaiting.file.length() - 3,dataPengajuanDanaWaiting.file.length())} != 'png'"  th:href="@{/pengajuan_dana/bukti(pengajuanDana = ${dataPengajuanDanaWaiting.getId()})}" target="_blank">
                                        <i class="fa-solid fa-download fa-4x rounded" style="color: #0a53be" align="center"></i>
                                    </a>
                                    <a  th:if="${dataPengajuanDanaWaiting.file} != 'default.jpg' and (${dataPengajuanDanaWaiting.file.substring(dataPengajuanDanaWaiting.file.length() - 3,dataPengajuanDanaWaiting.file.length())} == 'jpg' or ${dataPengajuanDanaWaiting.file.substring(dataPengajuanDanaWaiting.file.length() - 3,dataPengajuanDanaWaiting.file.length())} == 'peg' or ${dataPengajuanDanaWaiting.file.substring(dataPengajuanDanaWaiting.file.length() - 3,dataPengajuanDanaWaiting.file.length())} == 'png')"  th:href="@{/pengajuan_dana/bukti(pengajuanDana = ${dataPengajuanDanaWaiting.getId()})}" target="_blank">
                                        <!--                                <i class="fa-solid fa-download fa-4x rounded" style="color: #0a53be" align="center"></i>-->

                                        <img th:src="@{/pengajuandana/{pengajuanDana}/bukti/(pengajuanDana = ${dataPengajuanDanaWaiting.id})}" class="card-img-top  shadow-sm rounded" style="width:60px;height:60px;">
                                    </a>
                                </div>
                                <div class="col-md-7">
                                    <span class="text-start"><b th:text="${dataPengajuanDanaWaiting.getAnggaranDetail().getDeskripsi()}"></b></span>
                                    <br>
                                    <span class="text-start" th:text="${dataPengajuanDanaWaiting.getDeskripsiBiaya()}"></span>
                                    <br>
                                    <span class="text-start" th:text="${dataPengajuanDanaWaiting.getKuantitas() + ' ' + dataPengajuanDanaWaiting.getSatuan() + ' X ' + #numbers.formatDecimal(dataPengajuanDanaWaiting.getAmount(), 0, 'POINT', 0, 'COMMA')}">1 barang X 100.000</span>
                                </div>
                                <div class="col-md-3">
                                    <div class="shadow-none p-3 mb-3 border-start">
                                        <span class="text-start">Total Request</span>
                                        <br>
                                        <span class="text-start"><b th:text="${'Rp. ' + #numbers.formatDecimal(dataPengajuanDanaWaiting.getJumlah(), 0, 'POINT', 0, 'COMMA')}">20.000.000</b></span>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-10" align="left">
                                    <td  rowspan="3" align="center">
                                        <input type="checkbox" th:value="${dataPengajuanDanaWaiting.id}" class="form-check-input" name="pengajuanDana"> Check here for request disbursement!
                                    </td>
                                </div>
                                <!--                            <button type="button" class="btn btn-outline-primary" style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;">Lacak</button>-->

                                <div class="col-md-1 sm-6 xs-6" align="right">
                                    <form th:if="${dataPengajuanDanaWaiting.getNomorUrut() <= 1}" method="post" th:action="@{/transaksi/pengajuandana/batal(pengajuandana = ${dataPengajuanDanaWaiting.id})}">
                                        <button style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;" type="submit" class="btn btn-danger btn-xs rounded-pill"
                                                onclick="return confirm('Are you sure want to cancel this?')">
                                            Cancel
                                        </button>

    <!--                                    <a th:href="@{/transaksi/pengajuandana/batal(pengajuandana = ${dataPengajuanDanaApproved.id})}" type="button" class="btn btn-danger" data-bs-toggle="modal" style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;"-->
    <!--                                       onclick="return confirm('Are you sure want to cancel this?')">-->
    <!--                                        Cancel-->
    <!--                                    </a>-->
                                    </form>
                                </div>
                                <div class="col-md-1 sm-6 xs-6">
                                    <button type="button" class="btn btn-success rounded-pill" data-bs-toggle="modal"  style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;" th:attr="data-bs-target='#exampleModal'+${dataPengajuanDanaWaiting.getId()}">
                                        History
                                    </button>

                                    <div class="modal fade" th:id="exampleModal+${dataPengajuanDanaWaiting.getId()}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                        <div class="modal-dialog">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="exampleModalLabel">History</h5>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                </div>
                                                <div class="modal-body">
                                                    <div class="row" th:each="dataPengajuanDanaApprovalWaiting, stat: *{listPengajuanDanaApprovalWaiting}">
                                                        <div class="shadow-sm p-3 mb-1 bg-body border small rounded" th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaWaiting.id} and ${dataPengajuanDanaApprovalWaiting.statusApprove == dataPengajuanDanaApprovalWaiting.statusApprove.WAITING}">

                                                            <span th:text="${dataPengajuanDanaApprovalWaiting.nomorUrut+'. '}"></span>
                                                            <span th:text="${'Menunggu persetujuan '+dataPengajuanDanaApprovalWaiting.userApprove.namaKaryawan}">Update software</span>
                                                            <!--                                                    <span th:text="${dataPengajuanDanaApprovalWaiting.statusApprove}">Update software</span>-->
                                                            <!--                                                    <span th:text="${#temporals.format(dataPengajuanDanaApprovalWaiting.tanggalApprove,'dd-MMM-yyyy hh:mm:ss a')}"></span>-->
                                                        </div>

                                                        <div class="shadow-sm p-3 mb-1 border small bg-success bg-opacity-10 rounded" th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaWaiting.id} and ${dataPengajuanDanaApprovalWaiting.statusApprove == dataPengajuanDanaApprovalWaiting.statusApprove.APPROVED}">

                                                            <span th:text="${dataPengajuanDanaApprovalWaiting.nomorUrut+'. '}"></span>
                                                            <span th:text="${'Telah disetujui oleh '+dataPengajuanDanaApprovalWaiting.userApprove.namaKaryawan +' pada tanggal '+ #temporals.format(dataPengajuanDanaApprovalWaiting.tanggalApprove,'dd-MMM-yyyy HH:mm:ss')}">Update software</span>
                                                            <!--                                                    <span th:text="${dataPengajuanDanaApprovalWaiting.statusApprove}">Update software</span>-->
                                                            <!--                                                    <span th:text="${#temporals.format(dataPengajuanDanaApprovalWaiting.tanggalApprove,'dd-MMM-yyyy hh:mm:ss a')}"></span>-->
                                                        </div>
                                                    </div>

                                                    <!--                                            <table class="table table-bordered">-->
                                                    <!--                                                <tr th:each="dataPengajuanDanaApprovalWaiting, stat: *{listPengajuanDanaApprovalWaiting}">-->
                                                    <!--                                                    <td th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaWaiting.id}">-->
                                                    <!--                                                        <span th:text="${dataPengajuanDanaApprovalWaiting.nomorUrut}"></span>-->
                                                    <!--                                                    </td>-->
                                                    <!--                                                    <td th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaWaiting.id}">-->
                                                    <!--                                                        <span th:text="${dataPengajuanDanaApprovalWaiting.userApprove.namaKaryawan}">Update software</span>-->
                                                    <!--                                                    </td>-->
                                                    <!--                                                    <td th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaWaiting.id}">-->
                                                    <!--                                                        <span th:text="${dataPengajuanDanaApprovalWaiting.statusApprove}">Update software</span>-->
                                                    <!--                                                    </td>-->
                                                    <!--                                                    <td th:if="${dataPengajuanDanaApprovalWaiting.tanggalApprove} != null and ${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaWaiting.id}">-->
                                                    <!--                                                        <span th:text="${#temporals.format(dataPengajuanDanaApprovalWaiting.tanggalApprove,'dd-MMM-yyyy hh:mm:ss a')}"></span>-->
                                                    <!--                                                    </td>-->
                                                    <!--                                                </tr>-->
                                                    <!--                                            </table>-->
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                                    <!--                                                <button type="button" class="btn btn-primary">Save changes</button>-->
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-md-12">
                        <button type="submit" class="btn btn-danger rounded-pill" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;">
                            Request Disbursement
                        </button>
                    </div>
                </div>


            </form>

            <!--        <div class="row">-->
            <!--            <div class="col-md-12">-->
            <!--                <div class="tableFixHead">-->
            <!--                    <table class="table small">-->
            <!--                        <thead class="table-dark" style="&#45;&#45;bs-table-bg:#15408d;">-->
            <!--                        <tr>-->
            <!--                            <th colspan="7">-->
            <!--                                List-->
            <!--                            </th>-->
            <!--                        </tr>-->
            <!--                        </thead>-->
            <!--                        <tbody th:each="dataPengajuanDanaWaiting, stat: *{listPengajuanDanaWaiting}" >-->
            <!--                        <tr class="table-light">-->
            <!--                            <td align="right" style="width: 50px; alignment: right;" th:text="${(stat.index + 1) + (listPengajuanDanaWaiting.number * listPengajuanDanaWaiting.size)}">1</td>-->
            <!--                            <td colspan="3" th:text="${dataPengajuanDanaWaiting.getAnggaran().getKodeAnggaran() + ' - ' + dataPengajuanDanaWaiting.getAnggaran().getNamaAnggaran()}"></td>-->
            <!--                            <td colspan="4" style="width: 20%" align="right" th:text="${#temporals.format(dataPengajuanDanaWaiting.tanggalPengajuan,'dd-MMM-yyyy hh:mm:ss a')}"></td>-->
            <!--                        </tr>-->
            <!--                        <tr>-->
            <!--                            <td rowspan="3"></td>-->
            <!--                            <td rowspan="3" width="15%" align="center">-->
            <!--                                <a th:if="${dataPengajuanDanaWaiting.file} == 'default.jpg'" class="btn btn-danger" style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;">-->
            <!--                                    No Attachment-->
            <!--                                </a>-->
            <!--                                <a  th:if="${dataPengajuanDanaWaiting.file} != 'default.jpg'" class="btn btn-success" style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;" th:href="@{/pengajuandana/{pengajuanDana}/bukti/(pengajuanDana = ${dataPengajuanDanaWaiting.id})}" target="_blank">-->
            <!--                                    View Attachment-->
            <!--                                </a>-->
            <!--                            </td>-->
            <!--                            <td width="5%">Item:</td>-->
            <!--                            <td th:text="${dataPengajuanDanaWaiting.getAnggaranDetail().getDeskripsi()}">-->
            <!--                            </td>-->
            <!--                            <td colspan="3" align="right" th:text="${dataPengajuanDanaWaiting.getKuantitas() + ' ' + dataPengajuanDanaWaiting.getSatuan()}">-->
            <!--                            </td>-->
            <!--                        </tr>-->
            <!--                        <tr>-->
            <!--                            <td>For:</td>-->
            <!--                            <td th:text="${dataPengajuanDanaWaiting.getRequestFor().getNamaKaryawan()}">-->
            <!--                            </td>-->
            <!--                            <td colspan="3" align="right"  th:text="${'Rp. ' + #numbers.formatDecimal(dataPengajuanDanaWaiting.getJumlah(), 0, 'POINT', 2, 'COMMA')}">-->
            <!--                            </td>-->
            <!--                        </tr>-->
            <!--                        <tr>-->
            <!--                            <td>Desc:</td>-->
            <!--                            <td th:text="${dataPengajuanDanaWaiting.getDeskripsiBiaya()}">-->
            <!--                            </td>-->
            <!--                            <td colspan="2" align="right">-->
            <!--&lt;!&ndash;                                <button type="button" class="btn btn-warning btn-xs" style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;" data-toggle="modal" data-target="#modal-default" th:attr="data-target='#modal-default'+${dataPengajuanDanaWaiting.getId()}">&ndash;&gt;-->
            <!--&lt;!&ndash;                                    Waiting&ndash;&gt;-->
            <!--&lt;!&ndash;                                </button>&ndash;&gt;-->

            <!--                                <button type="button" class="btn btn-warning" data-bs-toggle="modal" style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;" th:attr="data-bs-target='#exampleModal'+${dataPengajuanDanaWaiting.getId()}">-->
            <!--                                    Waiting-->
            <!--                                </button>-->

            <!--                                <div class="modal fade" th:id="exampleModal+${dataPengajuanDanaWaiting.getId()}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">-->
            <!--                                    <div class="modal-dialog">-->
            <!--                                        <div class="modal-content">-->
            <!--                                            <div class="modal-header">-->
            <!--                                                <h5 class="modal-title" id="exampleModalLabel">List Approval</h5>-->
            <!--                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>-->
            <!--                                            </div>-->
            <!--                                            <div class="modal-body">-->
            <!--                                                <table class="table table-bordered">-->
            <!--                                                    <tr th:each="dataPengajuanDanaApprovalWaiting, stat: *{listPengajuanDanaApprovalWaiting}">-->
            <!--                                                        <td th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaWaiting.id}">-->
            <!--                                                            <span th:text="${dataPengajuanDanaApprovalWaiting.nomorUrut}"></span>-->
            <!--                                                        </td>-->
            <!--                                                        <td th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaWaiting.id}">-->
            <!--                                                            <span th:text="${dataPengajuanDanaApprovalWaiting.userApprove.namaKaryawan}">Update software</span>-->
            <!--                                                        </td>-->
            <!--                                                        <td th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaWaiting.id}">-->
            <!--                                                            <span th:text="${dataPengajuanDanaApprovalWaiting.statusApprove}">Update software</span>-->
            <!--                                                        </td>-->
            <!--                                                        <td th:if="${dataPengajuanDanaApprovalWaiting.tanggalApprove} != null and ${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaWaiting.id}">-->
            <!--                                                            <span th:text="${#temporals.format(dataPengajuanDanaApprovalWaiting.tanggalApprove,'dd-MMM-yyyy hh:mm:ss a')}"></span>-->
            <!--                                                        </td>-->
            <!--                                                    </tr>-->
            <!--                                                </table>-->
            <!--                                            </div>-->
            <!--                                            <div class="modal-footer">-->
            <!--                                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>-->
            <!--&lt;!&ndash;                                                <button type="button" class="btn btn-primary">Save changes</button>&ndash;&gt;-->
            <!--                                            </div>-->
            <!--                                        </div>-->
            <!--                                    </div>-->
            <!--                                </div>-->
            <!--                            </td>-->
            <!--                            <td width="5%">-->
            <!--                                <form th:if="${dataPengajuanDanaWaiting.getNomorUrut() <= 1}" method="post" th:action="@{/transaksi/pengajuandana/batal(pengajuandana = ${dataPengajuanDanaWaiting.id})}">-->
            <!--                                    <button style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;" th:if="${dataPengajuanDanaWaiting.getNomorUrut() <= 1}" type="submit" class="btn btn-danger btn-xs"-->
            <!--                                            onclick="return confirm('Are you sure want to cancel this?')">-->
            <!--                                        Cancel-->
            <!--                                    </button>-->
            <!--                                </form>-->
            <!--                            </td>-->
            <!--                        </tr>-->


            <!--                        </tbody>-->

            <!--                    </table>-->
            <!--                </div>-->
            <!--                <br>-->
            <div class="row small">
                <div class="col-md-12">
                    <nav aria-label="...">
                        <ul class="pagination" sd:pagination="full">
                            <li class="page-item disabled">
                                <a class="page-link">Previous</a>
                            </li>
                            <li class="page-item"><a class="page-link" href="#">1</a></li>
                            <li class="page-item active" aria-current="page">
                                <a class="page-link" href="#">2</a>
                            </li>
                            <li class="page-item"><a class="page-link" href="#">3</a></li>
                            <li class="page-item">
                                <a class="page-link" href="#">Next</a>
                            </li>
                        </ul>
                    </nav>
                </div>
            </div>
        </div>
    </main>
</main>

</body>
</html>


<!--<!DOCTYPE html>-->
<!--<html lang="en"-->
<!--      xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"-->
<!--      layout:decorate="~{layout2}">-->


<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Approved</title>-->
<!--</head>-->
<!--<body>-->
<!--<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">-->
<!--    <div th:include="sidebar::sidebar" th:remove="tag"> sidebar </div>-->
<!--    <main class="bd-main-xxl">-->
<!--        <div class="row">-->
<!--            <div class="col-md-12">-->
<!--                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">-->
<!--                    Request Approved-->
<!--                </div>-->
<!--            </div>-->
<!--        </div>-->

<!--        <form method="get">-->
<!--            <div class="row">-->
<!--                <p><a class="link-primary" th:href="@{/transaksi/pengajuandana/baru}" role="button">Klik disini</a> jika anda ingin membuat pengajuan dana baru. </p>-->
<!--                <div class="col-md-9">-->
<!--                    Show entries <span sd:page-size-selector="javascript"></span>-->
<!--                </div>-->

<!--                <div class="col-md-3" align="right">-->
<!--                    <input class="form-control me-2" type="text" placeholder="Search" name="search" th:value="${search}" aria-label="Search">-->
<!--                    &lt;!&ndash;                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>&ndash;&gt;-->
<!--                </div>-->
<!--            </div>-->
<!--        </form>-->
<!--        <br>-->
<!--        <div class="row">-->
<!--            <div class="col-md-12">-->

<!--                <div class="alert alert-success" th:if="${success != null}">-->
<!--                    <h4>Process Data Success!</h4>-->

<!--                    <p>Cek data pengajuan pencairan di <a th:href="@{/transaksi/pengajuandana/disbursment}">sini</a></p>-->
<!--                </div>-->
<!--                            <div class="alert alert-danger" th:if="${unprocess != null}">-->
<!--                                <h4>Process Data Failed!</h4>-->

<!--                                <p>Pilih dulu data yang akan anda proses pencairan, lalu klik Request Disbursement</p>-->
<!--                            </div>-->

<!--                            <div class="alert alert-danger" th:if="${gagalnol != null}">-->
<!--                                <h4>Process Data Failed!</h4>-->

<!--                                <p>Nominal Pencairan tidak boleh kosong</p>-->
<!--                            </div>-->

<!--                            <div class="alert alert-danger" th:if="${gagalrek != null}">-->
<!--                                <h4>Process Data Failed!</h4>-->

<!--                                <p>Nomor rekening tidak boleh kosong</p>-->
<!--                            </div>-->

<!--                            <div class="alert alert-danger" th:if="${gagalselisih != null}">-->
<!--                                <h4>Process Data Failed!</h4>-->

<!--                                <p>Nominal pencairan tidak boleh lebih besar dari total pengajuan</p>-->
<!--                            </div>-->

<!--                            <div class="alert alert-danger" th:if="${tidaksama != null}">-->
<!--                                <h4>Process Data Failed!</h4>-->

<!--                                <p>Ada Pengajuan yang tidak bisa dimasukan kedalam 1 proses pencairan karena berbeda tujuan kasir pencairan.</p>-->
<!--                            </div>-->

<!--                            <div class="alert alert-danger" th:if="${batal != null}">-->
<!--                                <h4>Save Data Berhasil!</h4>-->

<!--                                <p>Satu data pengajuan telah berhasil dibatalkan.</p>-->
<!--                                &lt;!&ndash;  <p th:text="${'Dana yang sudah dikeluarkan : Rp ' + #numbers.formatDecimal(totalKeluar, 0, 'POINT', 2, 'COMMA')}"></p> &ndash;&gt;-->
<!--                            </div>-->

<!--                <form th:action="@{/transaksi/pencairandana/proses}" method="get">-->
<!--                <div class="tableFixHead">-->
<!--                    <table class="table small">-->
<!--                        <thead class="table-dark" style="&#45;&#45;bs-table-bg:#0e8a19;">-->
<!--                        <tr>-->
<!--                            <th colspan="7">-->
<!--                                List-->
<!--                            </th>-->
<!--                        </tr>-->
<!--                        </thead>-->
<!--                        <tbody th:each="dataPengajuanDanaApproved, stat: *{listPengajuanDanaApproved}" >-->
<!--                        <tr class="table-light">-->
<!--                            <td align="right" style="width: 50px; alignment: right;" th:text="${(stat.index + 1) + (listPengajuanDanaApproved.number * listPengajuanDanaApproved.size)}">1</td>-->
<!--                            <td colspan="3" th:text="${dataPengajuanDanaApproved.getAnggaran().getKodeAnggaran() + ' - ' + dataPengajuanDanaApproved.getAnggaran().getNamaAnggaran()}"></td>-->
<!--                            <td colspan="4" style="width: 20%" align="right" th:text="${#temporals.format(dataPengajuanDanaApproved.tanggalPengajuan,'dd-MMM-yyyy hh:mm:ss a')}"></td>-->
<!--                        </tr>-->
<!--                        <tr>-->
<!--                            <td  rowspan="3" align="center">-->
<!--                                <input type="checkbox" th:value="${dataPengajuanDanaApproved.id}" class="form-check-input" name="pengajuanDana">-->
<!--                            </td>-->
<!--                            <td rowspan="3" width="15%" align="center">-->
<!--                                <a th:if="${dataPengajuanDanaApproved.file} == 'default.jpg'" class="btn btn-danger" style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;">-->
<!--                                    No Attachment-->
<!--                                </a>-->
<!--                                <a  th:if="${dataPengajuanDanaApproved.file} != 'default.jpg'" class="btn btn-success" style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;" th:href="@{/pengajuandana/{pengajuanDana}/bukti/(pengajuanDana = ${dataPengajuanDanaApproved.id})}" target="_blank">-->
<!--                                    View Attachment-->
<!--                                </a>-->
<!--                            </td>-->
<!--                            <td width="5%">Item:</td>-->
<!--                            <td th:text="${dataPengajuanDanaApproved.getAnggaranDetail().getDeskripsi()}">-->
<!--                            </td>-->
<!--                            <td colspan="3" align="right" th:text="${dataPengajuanDanaApproved.getKuantitas() + ' ' + dataPengajuanDanaApproved.getSatuan()}">-->
<!--                            </td>-->
<!--                        </tr>-->
<!--                        <tr>-->
<!--                            <td>For:</td>-->
<!--                            <td th:text="${dataPengajuanDanaApproved.getRequestFor().getNamaKaryawan()}">-->
<!--                            </td>-->
<!--                            <td colspan="3" align="right"  th:text="${'Rp. ' + #numbers.formatDecimal(dataPengajuanDanaApproved.getJumlah(), 0, 'POINT', 2, 'COMMA')}">-->
<!--                            </td>-->
<!--                        </tr>-->
<!--                        <tr>-->
<!--                            <td>Desc:</td>-->
<!--                            <td th:text="${dataPengajuanDanaApproved.getDeskripsiBiaya()}">-->
<!--                            </td>-->
<!--                            <td colspan="3" align="right">-->
<!--                                <a th:href="@{/transaksi/pengajuandana/batal(pengajuandana = ${dataPengajuanDanaApproved.id})}" type="button" class="btn btn-danger" data-bs-toggle="modal" style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;"-->
<!--                                   onclick="return confirm('Are you sure want to cancel this?')">-->
<!--                                    Cancel-->
<!--                                </a>-->

<!--                                <button type="button" class="btn btn-warning" data-bs-toggle="modal" style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;" th:attr="data-bs-target='#exampleModal'+${dataPengajuanDanaApproved.getId()}">-->
<!--                                    Approved-->
<!--                                </button>-->

<!--                                <div class="modal fade" th:id="exampleModal+${dataPengajuanDanaApproved.getId()}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">-->
<!--                                    <div class="modal-dialog">-->
<!--                                        <div class="modal-content">-->
<!--                                            <div class="modal-header">-->
<!--                                                <h5 class="modal-title" id="exampleModalLabel">List Approval</h5>-->
<!--                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>-->
<!--                                            </div>-->
<!--                                            <div class="modal-body">-->
<!--                                                <table class="table table-bordered">-->
<!--                                                    <tr th:each="dataPengajuanDanaApprovalWaiting, stat: *{listPengajuanDanaApprovalWaiting}">-->
<!--                                                        <td th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaApproved.id}">-->
<!--                                                            <span th:text="${dataPengajuanDanaApprovalWaiting.nomorUrut}"></span>-->
<!--                                                        </td>-->
<!--                                                        <td th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaApproved.id}">-->
<!--                                                            <span th:text="${dataPengajuanDanaApprovalWaiting.userApprove.namaKaryawan}">Update software</span>-->
<!--                                                        </td>-->
<!--                                                        <td th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaApproved.id}">-->
<!--                                                            <span th:text="${dataPengajuanDanaApprovalWaiting.statusApprove}">Update software</span>-->
<!--                                                        </td>-->
<!--                                                        <td th:if="${dataPengajuanDanaApprovalWaiting.tanggalApprove} != null and ${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaApproved.id}">-->
<!--                                                            <span th:text="${#temporals.format(dataPengajuanDanaApprovalWaiting.tanggalApprove,'dd-MMM-yyyy hh:mm:ss a')}"></span>-->
<!--                                                        </td>-->
<!--                                                    </tr>-->
<!--                                                </table>-->
<!--                                            </div>-->
<!--                                            <div class="modal-footer">-->
<!--                                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>-->
<!--&lt;!&ndash;                                                <button type="button" class="btn btn-primary">Save changes</button>&ndash;&gt;-->
<!--                                            </div>-->
<!--                                        </div>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </td>-->
<!--&lt;!&ndash;                            <td width="5%">&ndash;&gt;-->
<!--&lt;!&ndash;                                <form th:if="${dataPengajuanDanaApproved.getNomorUrut() <= 1}" method="post" th:action="@{/transaksi/pengajuandana/batal(pengajuandana = ${dataPengajuanDanaApproved.id})}">&ndash;&gt;-->
<!--&lt;!&ndash;                                    <button style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;" th:if="${dataPengajuanDanaApproved.getNomorUrut() <= 1}" type="submit" class="btn btn-danger btn-xs"&ndash;&gt;-->
<!--&lt;!&ndash;                                            onclick="return confirm('Are you sure want to cancel this?')">&ndash;&gt;-->
<!--&lt;!&ndash;                                        Cancel&ndash;&gt;-->
<!--&lt;!&ndash;                                    </button>&ndash;&gt;-->
<!--&lt;!&ndash;                                </form>&ndash;&gt;-->
<!--&lt;!&ndash;                            </td>&ndash;&gt;-->
<!--                        </tr>-->


<!--                        </tbody>-->

<!--                    </table>-->
<!--                </div>-->
<!--                    <br>-->
<!--                    <button type="submit" class="btn btn-danger" style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;">-->
<!--                        Request Disbursement-->
<!--                    </button>-->

<!--                </form>-->
<!--                <br>-->
<!--                <nav aria-label="...">-->
<!--                    <ul class="pagination" sd:pagination="full">-->
<!--                        <li class="page-item disabled">-->
<!--                            <a class="page-link">Previous</a>-->
<!--                        </li>-->
<!--                        <li class="page-item"><a class="page-link" href="#">1</a></li>-->
<!--                        <li class="page-item active" aria-current="page">-->
<!--                            <a class="page-link" href="#">2</a>-->
<!--                        </li>-->
<!--                        <li class="page-item"><a class="page-link" href="#">3</a></li>-->
<!--                        <li class="page-item">-->
<!--                            <a class="page-link" href="#">Next</a>-->
<!--                        </li>-->
<!--                    </ul>-->
<!--                </nav>-->
<!--            </div>-->
<!--        </div>-->
<!--    </main>-->
<!--</main>-->

<!--</body>-->
<!--</html>-->



<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Title</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        Request Fund-->
<!--        <small>List Data</small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->
<!--        <li class="treeview active"> Transaction</li>-->
<!--        <li class="active"> Request Fund</li>-->
<!--    </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->


<!--    <div class="row">-->
<!--        <div class="col-md-3">-->
<!--            <a th:href="@{/transaksi/pengajuandana/baru}" class="btn btn-primary btn-block margin-bottom">New Request Fund</a>-->

<!--            <div class="box box-solid">-->
<!--                <div class="box-header with-border">-->
<!--                    <h3 class="box-title">Folders</h3>-->

<!--                    <div class="box-tools">-->
<!--                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>-->
<!--                        </button>-->
<!--                    </div>-->
<!--                </div>-->
<!--                <div class="box-body no-padding">-->
<!--                    <ul class="nav nav-pills nav-stacked">-->
<!--                        <li><a th:href="@{/transaksi/pengajuandana}"><i class="fa fa-inbox"></i>  Current Request-->
<!--                            <span th:if="${jumlahPengajuanDanaWaiting} > 0" class="label label-warning pull-right" th:text="${jumlahPengajuanDanaWaiting}">12</span></a></li>-->
<!--                        <li class="active"><a th:href="@{/transaksi/pengajuandana/approved}"><i class="fa fa-inbox"></i>  Approved-->
<!--                            <span th:if="${jumlahPengajuanDanaApproved} > 0" class="label label-success pull-right" th:text="${jumlahPengajuanDanaApproved}">12</span></a></li>-->
<!--                        <li><a th:href="@{/transaksi/pengajuandana/rejectedlist}"><i class="fa fa-inbox"></i>  Rejected-->
<!--                            <span th:if="${jumlahPengajuanDanaRejected} > 0" class="label label-danger pull-right" th:text="${jumlahPengajuanDanaRejected}">12</span></a></li>-->
<!--                        <li><a th:href="@{/transaksi/pengajuandana/disbursment}"><i class="fa fa-inbox"></i>  Ready to Disburse-->
<!--                            <span th:if="${jumlahDisbursement} > 0" class="label label-primary pull-right" th:text="${jumlahDisbursement}">12</span></a></li>-->
<!--                        <li><a th:href="@{/transaksi/pengajuandana/already/disbursment}"><i class="fa fa-inbox"></i>  Disbursed Fund-->
<!--                            <span th:if="${jumlahAlreadyDisbursement} > 0" class="label label-success pull-right" th:text="${jumlahAlreadyDisbursement}">12</span></a></li>-->
<!--                        <li><a th:href="@{/transaksi/pengajuandana/laporan}"><i class="fa fa-envelope-o"></i> Unreported-->
<!--                            <span th:if="${jumlahUnreported} > 0" class="label label-danger pull-right" th:text="${jumlahUnreported}">12</span></a></li>-->
<!--                        <li><a th:href="@{/transaksi/pengajuandana/laporanwaiting}"><i class="fa fa-envelope-o"></i> Reported / Unconfirmed-->
<!--                            <span th:if="${jumlahReportedWaiting} > 0" class="label label-warning pull-right" th:text="${jumlahReportedWaiting}">12</span></a></li>-->
<!--                        <li><a th:href="@{/transaksi/pengajuandana/laporanrejected}"><i class="fa fa-envelope-o"></i> Reported / Rejected-->
<!--                            <span th:if="${jumlahReportedRejected} > 0" class="label label-danger pull-right" th:text="${jumlahReportedRejected}">12</span></a></li>-->
<!--                        <li><a th:href="@{/transaksi/pengajuandana/closed}"><i class="fa fa-envelope-o"></i> Closed-->
<!--                            <span th:if="${jumlahClosed} > 0" class="label label-default pull-right" th:text="${jumlahClosed}">12</span></a></li>-->

<!--                        <li><a th:href="@{/transaksi/pengajuandana/waitingrefund}"><i class="fa fa-envelope-o"></i> Waiting For Refund-->
<!--                            <span th:if="${jumlahWaitingRefund} > 0" class="label label-danger pull-right" th:text="${jumlahWaitingRefund}">12</span></a></li>-->
<!--                        <li><a th:href="@{/transaksi/pengajuandana/refund}"><i class="fa fa-envelope-o"></i> Refund-->
<!--                            <span th:if="${jumlahRefund} > 0" class="label label-success pull-right" th:text="${jumlahRefund}">12</span></a></li>-->
<!--                        <li><a th:href="@{/transaksi/pengajuandana/refundclose}"><i class="fa fa-envelope-o"></i> Refund Closed-->
<!--                            <span th:if="${jumlahRefundClosed} > 0" class="label label-danger pull-right" th:text="${jumlahRefundClosed}">12</span></a></li>-->

<!--                        <li><a th:href="@{/transaksi/pengajuandana/all}"><i class="fa fa-trash-o"></i> All</a></li>-->
<!--                    </ul>-->
<!--                </div>-->
<!--                &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--            </div>-->

<!--        </div>-->
<!--        &lt;!&ndash; /.col &ndash;&gt;-->
<!--        <div class="col-md-9">-->

<!--            <div class="callout callout-danger" th:if="${unprocess != null}">-->
<!--                <h4>Process Data Failed!</h4>-->

<!--                <p>Pilih dulu data yang akan anda proses pencairan, lalu klik Request Disbursement</p>-->
<!--            </div>-->

<!--            <div class="callout callout-danger" th:if="${gagalnol != null}">-->
<!--                <h4>Process Data Failed!</h4>-->

<!--                <p>Nominal Pencairan tidak boleh kosong</p>-->
<!--            </div>-->

<!--            <div class="callout callout-danger" th:if="${gagalrek != null}">-->
<!--                <h4>Process Data Failed!</h4>-->

<!--                <p>Nomor rekening tidak boleh kosong</p>-->
<!--            </div>-->

<!--            <div class="callout callout-danger" th:if="${gagalselisih != null}">-->
<!--                <h4>Process Data Failed!</h4>-->

<!--                <p>Nominal pencairan tidak boleh lebih besar dari total pengajuan</p>-->
<!--            </div>-->

<!--            <div class="callout callout-danger" th:if="${tidaksama != null}">-->
<!--                <h4>Process Data Failed!</h4>-->

<!--                <p>Ada Pengajuan yang tidak bisa dimasukan kedalam 1 proses pencairan karena berbeda tujuan kasir pencairan.</p>-->
<!--            </div>-->

<!--            <div class="callout callout-success" th:if="${batal != null}">-->
<!--                <h4>Save Data Berhasil!</h4>-->

<!--                <p>Satu data pengajuan telah berhasil dibatalkan.</p>-->
<!--                &lt;!&ndash;  <p th:text="${'Dana yang sudah dikeluarkan : Rp ' + #numbers.formatDecimal(totalKeluar, 0, 'POINT', 2, 'COMMA')}"></p> &ndash;&gt;-->
<!--            </div>-->

<!--            <div class="nav-tabs-custom">-->
<!--                <ul class="nav nav-tabs">-->
<!--                    <li class="active"><a href="#approved" data-toggle="tab">Approved</a></li>-->
<!--                </ul>-->
<!--                <div class="tab-content">-->



<!--                    <div class="active tab-pane" id="approved">-->

<!--                        <div class="box-header clearfix">-->
<!--                            <div class="col-md-6" align="left">-->
<!--                                Show entries <span sd:page-size-selector="javascript"></span>-->
<!--                            </div>-->
<!--                            <form method="get">-->
<!--                                <div class="col-md-6" align="right">-->
<!--                                    <div class="input-group input-group-sm" style="width: 150px;">-->
<!--                                        <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">-->
<!--                                        <div class="input-group-btn">-->
<!--                                            <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>-->
<!--                                        </div>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </form>-->
<!--                        </div>-->

<!--                        <form th:action="@{/transaksi/pencairandana/proses}" method="get">-->
<!--                            <div class="box-body no-padding">-->
<!--                                <div class="row" th:each="dataPengajuanDanaApproved,row : ${listPengajuanDanaApproved}">-->

<!--                                    <div class="col-md-12">-->
<!--                                        <div class="box box-success">-->
<!--                                            <div class="box-header with-border">-->
<!--                                                <div class="col-md-6">-->
<!--                                                    <span class="info-box-text" th:text="${dataPengajuanDanaApproved.getAnggaran().getKodeAnggaran()+ ' - '+dataPengajuanDanaApproved.getAnggaran().getNamaAnggaran()}">Removable</span>-->
<!--                                                </div>-->
<!--                                                <div class="col-md-6" align="right">-->
<!--                                                    <span class="time" th:text="${#temporals.format(dataPengajuanDanaApproved.tanggalPengajuan,'dd-MMM-yyyy hh:mm:ss a')}"></span>-->
<!--                                                </div>-->
<!--                                            </div>-->
<!--                                            &lt;!&ndash; /.box-header &ndash;&gt;-->
<!--                                            <div class="box-body">-->
<!--                                                <div class="col-md-2" align="center">-->
<!--                                                    <a th:if="${dataPengajuanDanaApproved.file} == 'default.jpg'" class="btn btn-danger btn-xs">-->
<!--                                                        No Attachment-->
<!--                                                    </a>-->
<!--                                                    <a th:if="${dataPengajuanDanaApproved.file} != 'default.jpg'" class="btn btn-primary btn-xs" th:href="@{/pengajuandana/{pengajuanDana}/bukti/(pengajuanDana = ${dataPengajuanDanaApproved.id})}" target="_blank">-->
<!--                                                        View Attachment-->
<!--                                                    </a>-->
<!--                                                </div>-->

<!--                                                <div class="col-md-10">-->
<!--                                                    <div class="box box-success">-->
<!--                                                        <div class="box-body">-->
<!--                                                            <table class="table table-bordered">-->
<!--                                                                <tr>-->
<!--                                                                    <td th:text="${dataPengajuanDanaApproved.getAnggaranDetail().getDeskripsi()}"></td>-->
<!--                                                                </tr>-->
<!--                                                                <tr>-->
<!--                                                                    <td th:text="${dataPengajuanDanaApproved.getDeskripsiBiaya()}"></td>-->
<!--                                                                </tr>-->
<!--                                                                <tr>-->
<!--                                                                    <td th:text="${'QTY : (' + dataPengajuanDanaApproved.getKuantitas()+') X (Rp. '+ #numbers.formatDecimal(dataPengajuanDanaApproved.getAmount(), 0, 'POINT', 2, 'COMMA')+')'}">-->
<!--                                                                    </td>-->
<!--                                                                </tr>-->
<!--                                                                <tr>-->
<!--                                                                    <td th:text="${'Total Price : Rp. ' + #numbers.formatDecimal(dataPengajuanDanaApproved.getJumlah(), 0, 'POINT', 2, 'COMMA')}">-->
<!--                                                                    </td>-->
<!--                                                                </tr>-->
<!--                                                            </table>-->
<!--                                                        </div>-->
<!--                                                        &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                                                    </div>-->
<!--                                                    &lt;!&ndash; /.box &ndash;&gt;-->
<!--                                                </div>-->

<!--                                                <div class="col-md-12">-->
<!--                                                    <td class="a-center ">-->
<!--                                                        <input type="checkbox" th:value="${dataPengajuanDanaApproved.id}" class="flat-red" name="pengajuanDana">-->
<!--                                                    </td>-->

<!--                                                    <div class="box-tools pull-right">-->
<!--                                                        <div class="btn-group">-->
<!--                                                            <button type="button" class="btn btn-warning btn-xs" data-toggle="modal" data-target="#modal-default" th:attr="data-target='#modal-default'+${dataPengajuanDanaApproved.getId()}">-->
<!--                                                                Approved-->
<!--                                                            </button>-->
<!--                                                        </div>-->

<!--                                                        <div class="btn-group">-->
<!--                                                            <a class="btn btn-primary btn-xs" th:href="@{/transaksi/pengajuandana/edit(id = ${dataPengajuanDanaApproved.getId()})}">-->
<!--                                                                Edit-->
<!--                                                            </a>-->
<!--                                                        </div>-->

<!--                                                        <div class="btn-group">-->
<!--&lt;!&ndash;                                                            <form method="post" th:action="@{/transaksi/pengajuandana/batal(pengajuandana = ${dataPengajuanDanaApproved.id})}">&ndash;&gt;-->
<!--                                                                <a th:href="@{/transaksi/pengajuandana/batal(pengajuandana = ${dataPengajuanDanaApproved.id})}" type="button" class="btn btn-danger btn-xs"-->
<!--                                                                        onclick="return confirm('Are you sure want to cancel this?')">-->
<!--                                                                    Cancel-->
<!--                                                                </a>-->
<!--&lt;!&ndash;                                                            </form>&ndash;&gt;-->
<!--                                                        </div>-->

<!--                                                     </div>-->



<!--                                                 </div>-->

<!--                                             </div>-->
<!--                                             &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                                        </div>-->

<!--                                        <div class="modal fade" th:id="modal-default+${dataPengajuanDanaApproved.getId()}">-->
<!--                                            <div class="modal-dialog">-->
<!--                                                <div class="modal-content">-->
<!--                                                    <div class="modal-header">-->
<!--                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">-->
<!--                                                            <span aria-hidden="true">&times;</span></button>-->
<!--                                                        <h4 class="modal-title">Detail Approval</h4>-->
<!--                                                    </div>-->
<!--                                                    <div class="modal-body">-->
<!--                                                        &nbsp;-->
<!--                                                        <table class="table table-bordered">-->
<!--                                                            <tr th:each="dataPengajuanDanaApprovalWaiting, stat: *{listPengajuanDanaApprovalWaiting}">-->
<!--                                                                <td th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaApproved.id}">-->
<!--                                                                    <span th:text="${dataPengajuanDanaApprovalWaiting.nomorUrut}"></span>-->
<!--                                                                </td>-->
<!--                                                                <td th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaApproved.id}">-->
<!--                                                                    <span th:text="${dataPengajuanDanaApprovalWaiting.userApprove.namaKaryawan}">Update software</span>-->
<!--                                                                </td>-->
<!--                                                                <td th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaApproved.id}">-->
<!--                                                                    <span th:text="${dataPengajuanDanaApprovalWaiting.statusApprove}">Update software</span>-->
<!--                                                                </td>-->
<!--                                                                <td th:if="${dataPengajuanDanaApprovalWaiting.tanggalApprove} != null and ${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaApproved.id}">-->
<!--                                                                    <span th:text="${#temporals.format(dataPengajuanDanaApprovalWaiting.tanggalApprove,'dd-MMM-yyyy hh:mm:ss a')}"></span>-->
<!--                                                                </td>-->
<!--                                                            </tr>-->
<!--                                                        </table>-->
<!--                                                    </div>-->
<!--                                                    <div class="modal-footer">-->
<!--                                                        <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>-->
<!--                                                    </div>-->
<!--                                                </div>-->
<!--                                                &lt;!&ndash; /.modal-content &ndash;&gt;-->
<!--                                            </div>-->
<!--                                            &lt;!&ndash; /.modal-dialog &ndash;&gt;-->
<!--                                        </div>-->
<!--                                        &lt;!&ndash; /.box &ndash;&gt;-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->

<!--                            <div class="box-footer clearfix">-->

<!--                                <div class="row">-->
<!--                                    <div class="col-md-2">-->
<!--                                        <div class="box-tools">-->
<!--                                            <div class="btn-group" th:if="${jumlahPengajuanDanaApproved} > 0">-->
<!--                                                <button type="submit" class="btn btn-danger">-->
<!--                                                    Request Disbursement-->
<!--                                                </button>-->
<!--                                            </div>-->
<!--                                        </div>-->
<!--                                    </div>-->
<!--                                    <div class="col-md-10">-->
<!--                                        <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">-->
<!--                                            <li class="disabled"><a href="#" aria-label="Previous"><span-->
<!--                                                    aria-hidden="true">&laquo;</span></a>-->
<!--                                            </li>-->
<!--                                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
<!--                                            </li>-->
<!--                                        </ul>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </form>-->
<!--                    </div>-->
<!--                    &lt;!&ndash; /.tab-pane &ndash;&gt;-->
<!--                </div>-->
<!--                &lt;!&ndash; /.tab-content &ndash;&gt;-->
<!--            </div>-->
<!--            &lt;!&ndash; /.nav-tabs-custom &ndash;&gt;-->

<!--        </div>-->

<!--    </div>-->






<!--</section>-->

<!--<section layout:fragment="footer" class="script">-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->

<!--            //Datemask dd/mm/yyyy-->
<!--            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })-->
<!--            //Datemask2 mm/dd/yyyy-->
<!--            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--            //Money Euro-->
<!--            $('[data-mask]').inputmask()-->

<!--            //Date range picker-->
<!--            $('#reservation').daterangepicker()-->
<!--            //Date range picker with time picker-->
<!--            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--            //Date range as a button-->
<!--            $('#daterange-btn').daterangepicker(-->
<!--                {-->
<!--                    ranges   : {-->
<!--                        'Today'       : [moment(), moment()],-->
<!--                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                    },-->
<!--                    startDate: moment().subtract(29, 'days'),-->
<!--                    endDate  : moment()-->
<!--                },-->
<!--                function (start, end) {-->
<!--                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--                }-->
<!--            )-->

<!--            //Date picker-->
<!--            $('#datepicker').datepicker({-->
<!--                autoclose: true-->
<!--            })-->

<!--            //iCheck for checkbox and radio inputs-->
<!--            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-blue',-->
<!--                radioClass   : 'iradio_minimal-blue'-->
<!--            })-->
<!--            //Red color scheme for iCheck-->
<!--            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-red',-->
<!--                radioClass   : 'iradio_minimal-red'-->
<!--            })-->
<!--            //Flat red color scheme for iCheck-->
<!--            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-green',-->
<!--                radioClass   : 'iradio_flat-green'-->
<!--            })-->

<!--            //Colorpicker-->
<!--            $('.my-colorpicker1').colorpicker()-->
<!--            //color picker with addon-->
<!--            $('.my-colorpicker2').colorpicker()-->

<!--            //Timepicker-->
<!--            $('.timepicker').timepicker({-->
<!--                showInputs: false-->
<!--            })-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->

<!--        $('.simpan').click(function () {-->
<!--            Swal.fire({-->
<!--                position: 'top-end',-->
<!--                type: 'success',-->
<!--                title: 'Your work has been saved',-->
<!--                showConfirmButton: false-->
<!--            })-->
<!--        });-->
<!--    </script>-->


<!--    <script th:inline="javascript" type="text/javascript">-->

<!--        function openReservationModal(id) {-->


<!--            $.ajax({-->
<!--                url: "/reservations/details/"+id,-->
<!--                success: function(data) {-->
<!--                    console.log(data);-->
<!--                    $("#modalHolder").html(data);-->
<!--                    $("#reservationModal").modal("show");-->
<!--                }-->
<!--            });-->

<!--        }-->
<!--    </script>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->